java.beans.beancontext

## Interface BeanContextServiceRevokedListener

- All Superinterfaces:
    EventListener
  All Known Subinterfaces:
    BeanContextServices, BeanContextServicesListener
  All Known Implementing Classes:
    BeanContextChildSupport, BeanContextServicesSupport, BeanContextServicesSupport.BCSSProxyServiceProvider, BeanContextSupport

      public interface BeanContextServiceRevokedListener
      extends EventListener

  The listener interface for receiving `BeanContextServiceRevokedEvent` objects. A class that is interested in processing a `BeanContextServiceRevokedEvent` implements this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serviceRevoked(BeanContextServiceRevokedEvent bcsre)` The service named has been revoked.

- - ### Method Detail

    - #### serviceRevoked

          void serviceRevoked(BeanContextServiceRevokedEvent bcsre)

      The service named has been revoked. getService requests for this service will no longer be satisfied.
      Parameters:
        `bcsre` - the `BeanContextServiceRevokedEvent` received by this listener.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.